client.stub.iaccessi

## Class GetAccessLogResponse

- java.lang.Object
- - client.stub.iaccessi.GetAccessLogResponse

-     public class GetAccessLogResponse
      extends Object

  Classe Java per getAccessLogResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="getAccessLogResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="accessLog" type="{http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/}accessLog" maxOccurs="unbounded" minOccurs="0" form="qualified"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<AccessLog>` | `accessLog`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAccessLogResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AccessLog>` | `getAccessLog()` Gets the value of the accessLog property.
    `String` | `toString()` Generates a String representation of the contents of this type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### accessLog

          protected List<AccessLog> accessLog

  - ### Constructor Detail

    - #### GetAccessLogResponse

          public GetAccessLogResponse()

  - ### Method Detail

    - #### getAccessLog

          public List<AccessLog> getAccessLog()

      Gets the value of the accessLog property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the accessLog property.

      For example, to add a new item, do as follows:

              getAccessLog().add(newItem);

      Objects of the following type(s) are allowed in the list `AccessLog`

    - #### toString

          public String toString()

      Generates a String representation of the contents of this type. This is an extension method, produced by the 'ts' xjc plugin
      Overrides:
        `toString` in class `Object`

Copyright © 2024. All rights reserved.